# Class AxisTableSerializer

java.lang.Object
uk.ac.starlink.votable.soap.AxisTableSerializer

All Implemented Interfaces:
  `Serializable, javax.xml.rpc.encoding.Serializer, org.apache.axis.encoding.Serializer`

public class AxisTableSerializer extends Object implements org.apache.axis.encoding.Serializer
Custom serializer for StarTables.

Since:
  23 Mar 2005
Author:
  Mark Taylor (Starlink)
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`AxisTableSerializer()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getMechanismType()`
`void`
`serialize(QName name, Attributes atts, Object value, org.apache.axis.encoding.SerializationContext context)`
Writes `table` out to the serialization context as a binary-inline VOTable.
`Element`
`writeSchema(Class javaType, org.apache.axis.wsdl.fromJava.Types types)`
Returns an element containing the VOTable 1.1 schema.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AxisTableSerializer

public AxisTableSerializer()

## Method Details

### serialize

public void serialize(QName name, Attributes atts, Object value, org.apache.axis.encoding.SerializationContext context) throws IOException
Writes `table` out to the serialization context as a binary-inline VOTable.

Specified by:
  `serialize` in interface `org.apache.axis.encoding.Serializer`
Parameters:
  `name` - qname
  `atts` - attribute
  `value` - `StarTable` object
  `context` - context
Throws:
  `ClassCastException` - if `table` is not a StarTable
  `IOException`

### writeSchema

public Element writeSchema(Class javaType, org.apache.axis.wsdl.fromJava.Types types)
Returns an element containing the VOTable 1.1 schema.

When this method is called by AXIS in the course of creating WSDL (using the service?wsdl URL) it results in a WRONG_DOCUMENT_ERR DOM exception. I can only imagine this is an AXIS bug, arising from AXIS not calling importNode on the returned Element.

Specified by:
  `writeSchema` in interface `org.apache.axis.encoding.Serializer`

### getMechanismType

public String getMechanismType()

Specified by:
  `getMechanismType` in interface `javax.xml.rpc.encoding.Serializer`